#ifndef _HF_PLAYER_
#define _HF_PLAYER_

typedef struct Player Player;
typedef enum PlayerSeat {
  PLAYER,
  RIGHT,
  LEFT
} PlayerSeat;

#include "card.h"

struct Player {
  PlayerSeat seat;
  char *name;
  Hand hand, scored;
  Teyaku teyaku;
  Dekiyaku dekiyaku;
  DekiyakuAction dekiyaku_action;
  int dekiyaku_score;
  int points;
  char points_string[20];
  bool ai;
  bool dealer;
};

#endif
